<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("keyw" . "ords" => base64_decode("a2V5d2" . "9yZHM="), "i" . "d" => base64_decode("aWQ" . "="), "_aa7e860da1acd4e767e0df9d7d407" . "380" => base64_decode("ZGF0ZV" . "9jcmVh" . "dGVk"), "_c261da155a" . "5b4c08fbbfc" . "94c9c7a9d5f" => base64_decode("ZW1wdH" . "lfc2Vh" . "cmNo"), "us" . "er" . "_i" . "d" => base64_decode("dXNlcl9" . "pZA=="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c261da155a5b4c0" . "8fbbfc94c9c7a9d5" . "f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user_" . "id"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aa7e860d" . "a1acd4e76" . "7e0df9d7d" . "407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["keyw" . "ords"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["us" . "er" . "_i" . "d"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_aa7e860da1acd4e767e0df9d7d" . "407380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["ke" . "yw" . "or" . "ds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_aa7e860da1acd" . "4e767e0df9d7d4" . "07380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["ke" . "yw" . "or" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}